curl --request POST \
--url https://api.fabric.inc/v3/oms-imports/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"filters": [
{
"field": "import.statusCode",
"value": "INITIATED"
}
],
"sort": "-import.finishedAt"
}
'import requests
url = "https://api.fabric.inc/v3/oms-imports/search"
payload = {
"filters": [
{
"field": "import.statusCode",
"value": "INITIATED"
}
],
"sort": "-import.finishedAt"
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
filters: [{field: 'import.statusCode', value: 'INITIATED'}],
sort: '-import.finishedAt'
})
};
fetch('https://api.fabric.inc/v3/oms-imports/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"createdAt": "2022-08-01T18:03:28.483Z",
"importId": "62ff5c0bec0aed3c86202c32",
"attributes": {
"attribute": "12345"
},
"errorFileUrl": "https://example.com/tenant/import/bulk/1654680575676.csv?X-Amz-Security-Token=IQoJb3JpZ2",
"fileName": "orderUpload.csv",
"finishedAt": "2022-08-01T18:03:28.483Z",
"importCount": {
"error": 2000,
"processed": 8000,
"uploaded": 10000
},
"module": "ORDER",
"originalFileUrl": "https://example.com/tenant/import/bulk/1654680575676.csv?X-Amz-Security-Token=IQoJb3JpZ2",
"statusCode": "INITIATED",
"type": "BULK",
"updatedAt": "2022-08-01T20:03:28.483Z"
}
],
"pagination": {
"count": 1000,
"limit": 10,
"offset": 1
}
}{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}{
"message": "Internal server error",
"type": "SERVER_ERROR"
}Get uploaded files that match specified criteria
Get uploaded files that match specified criteria. Returned as paginated records.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
x-fabric-channel-id identifies the sales channel where the API request is being made; primarily for multichannel use cases. The channel ids are 12 corresponding to US and 13 corresponding to Canada. The default channel id is 12. This field is required.
Unique request ID
Query Parameters
Number of records to skip before returning all records. For example, offset=20, limit=10 returns records 21-30.
20
Maximum number of records per page
10
Body
Import search request object
50Single-value search filter
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
Show child attributes
Show child attributes
Property on which data is to be sorted. Prefix with + to sort ascending, and - to sort descending.
(^[+-]import\.[a-zA-Z.\-_]*)(,([+-]import\.[a-zA-Z.\-_]*)){0,}"+import.createdAt"
Was this page helpful?
